{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 788.0, 498.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 788.0, 498.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 10.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W6",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "このパッチのMIDI送受信は、オプション（Options）メニューから「MIDIセットアップ…」を開き、設定したAbbrevやOffsetの値に従います",
					"linecount" : 2,
					"patching_rect" : [ 106.0, 438.0, 507.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-30",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"textcolor" : [ 0.089616, 0.499825, 0.76492, 1.0 ],
					"numinlets" : 1,
					"frgb" : [ 0.089616, 0.499825, 0.76492, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Offsetで16を設定したデバイスから\nチャンネル2のメッセージだけを受信",
					"linecount" : 2,
					"patching_rect" : [ 367.0, 15.0, 200.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-67",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Abbrevでaを設定したデバイスから\nチャンネル2のメッセージだけを受信",
					"linecount" : 2,
					"patching_rect" : [ 562.0, 15.0, 200.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-66",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Abbrevでaを設定した\nデバイスからMIDI受信",
					"linecount" : 2,
					"patching_rect" : [ 202.0, 15.0, 139.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-64",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "すべてのMIDIデバイスから\nMIDI受信",
					"linecount" : 2,
					"patching_rect" : [ 37.0, 15.0, 139.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-63",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Abbrevでaを設定したデバイスに\nチャンネル2でMIDI送信",
					"linecount" : 2,
					"patching_rect" : [ 577.0, 345.0, 174.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-62",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Offsetで16を設定したデバイスに\nチャンネル2でMIDI送信",
					"linecount" : 2,
					"patching_rect" : [ 397.0, 345.0, 174.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-61",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Abbrevでaを設定したデバイスに\nチャンネル1でMIDI送信",
					"linecount" : 2,
					"patching_rect" : [ 217.0, 345.0, 171.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-60",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "デフォルトのDSL Synthに\nチャンネル1でMIDI送信",
					"linecount" : 2,
					"patching_rect" : [ 37.0, 345.0, 150.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-59",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "受信MIDI\nチャンネル",
					"linecount" : 2,
					"patching_rect" : [ 292.0, 126.0, 60.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-57",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "noteout a 2",
					"patching_rect" : [ 577.0, 315.0, 73.0, 21.0 ],
					"numoutlets" : 0,
					"id" : "obj-54",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 577.0, 210.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-55",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "makenote 127 300",
					"patching_rect" : [ 577.0, 240.0, 113.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-56",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "noteout 18",
					"patching_rect" : [ 397.0, 315.0, 70.0, 21.0 ],
					"numoutlets" : 0,
					"id" : "obj-51",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 397.0, 210.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-52",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "makenote 127 300",
					"patching_rect" : [ 397.0, 240.0, 113.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-53",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信MIDI\nチャンネル",
					"linecount" : 2,
					"patching_rect" : [ 322.0, 285.0, 60.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-44",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 277.0, 285.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-45",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "noteout a",
					"patching_rect" : [ 217.0, 315.0, 79.0, 21.0 ],
					"numoutlets" : 0,
					"id" : "obj-46",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 217.0, 210.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-47",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "makenote 127 300",
					"patching_rect" : [ 217.0, 240.0, 113.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-48",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信MIDI\nチャンネル",
					"linecount" : 2,
					"patching_rect" : [ 142.0, 285.0, 60.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-43",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "受信MIDI\nチャンネル",
					"linecount" : 2,
					"patching_rect" : [ 127.0, 126.0, 60.0, 36.0 ],
					"numoutlets" : 0,
					"id" : "obj-39",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 97.0, 285.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-23",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "noteout",
					"patching_rect" : [ 37.0, 315.0, 79.0, 21.0 ],
					"numoutlets" : 0,
					"id" : "obj-21",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 37.0, 210.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-20",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "makenote 127 300",
					"patching_rect" : [ 37.0, 240.0, 113.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-18",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 622.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-15",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 577.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-16",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "notein a 2",
					"patching_rect" : [ 577.0, 60.0, 64.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-17",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 442.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-12",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 397.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-13",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "notein 18",
					"patching_rect" : [ 397.0, 60.0, 64.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-14",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 292.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-7",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 247.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-8",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 202.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-9",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"hint" : "",
					"annotation" : "",
					"text" : "notein a",
					"patching_rect" : [ 202.0, 60.0, 109.0, 21.0 ],
					"numoutlets" : 3,
					"id" : "obj-10",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 127.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-6",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 82.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-5",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"patching_rect" : [ 37.0, 105.0, 42.0, 21.0 ],
					"numoutlets" : 2,
					"id" : "obj-4",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "notein",
					"patching_rect" : [ 37.0, 60.0, 109.0, 21.0 ],
					"numoutlets" : 3,
					"id" : "obj-1",
					"fontname" : "Hiragino Kaku Gothic Pro W6",
					"outlettype" : [ "int", "int", "int" ],
					"fontsize" : 10.0,
					"numinlets" : 1
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-56", 1 ],
					"destination" : [ "obj-54", 1 ],
					"hidden" : 0,
					"midpoints" : [ 680.5, 275.0, 613.5, 275.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-56", 0 ],
					"destination" : [ "obj-54", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-55", 0 ],
					"destination" : [ "obj-56", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-53", 1 ],
					"destination" : [ "obj-51", 1 ],
					"hidden" : 0,
					"midpoints" : [ 500.5, 275.0, 432.0, 275.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-53", 0 ],
					"destination" : [ "obj-51", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-52", 0 ],
					"destination" : [ "obj-53", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-45", 0 ],
					"destination" : [ "obj-46", 2 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-48", 1 ],
					"destination" : [ "obj-46", 1 ],
					"hidden" : 0,
					"midpoints" : [ 320.5, 275.0, 256.5, 275.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-48", 0 ],
					"destination" : [ "obj-46", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-47", 0 ],
					"destination" : [ "obj-48", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-23", 0 ],
					"destination" : [ "obj-21", 2 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 1 ],
					"destination" : [ "obj-21", 1 ],
					"hidden" : 0,
					"midpoints" : [ 140.5, 275.0, 76.5, 275.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 1 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 1 ],
					"destination" : [ "obj-12", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-13", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 2 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 1 ],
					"destination" : [ "obj-8", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 2 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 1 ],
					"destination" : [ "obj-5", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 0 ],
					"destination" : [ "obj-4", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
